#!/bin/sh -e
############################################################
#
# overnight automation for Corporal
#
############################################################

if [ "$1" = "--verbose" ]; then
    VERBOSE='--verbose'
    PROGRESS='--progress'
else
    VERBOSE=
    PROGRESS=
fi

cd /srv/envs/corporal

RATTAIL="bin/rattail --config=app/cron.conf $PROGRESS"


##############################
# data sync
##############################

# import latest data from Catapult
$RATTAIL --runas catapult import-catapult --delete --warnings

# make sure version data is correct
$RATTAIL import-versions --delete --dry-run --warnings


##############################
# problem reports
##############################

$RATTAIL problems
